net.sf.jasperreports.engine

## Interface JRGenericPrintElement

- All Superinterfaces:
    JRCommonElement, JRIdentifiable, JRPrintElement, JRPropertiesHolder, JRStyleContainer
  All Known Implementing Classes:
    JRBaseGenericPrintElement, JRRecordedValuesGenericPrintElement, JRTemplateGenericPrintElement

      public interface JRGenericPrintElement
      extends JRPrintElement

  A generic print element.

  Such an element has `a type` and includes a set of parameters. Export handlers need to registered for the element's type and they are responsible for producing export output for the element.

  Version:
    $Id: JRGenericPrintElement.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    `JRGenericElement`

- - ### Field Summary

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRPrintElement

      `UNSET_PRINT_ELEMENT_ID, UNSET_SOURCE_ELEMENT_ID`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRGenericElementType` | `getGenericType()` Returns the type of this element.
    `java.util.Set<java.lang.String>` | `getParameterNames()` Returns the set of parameter names for this element.
    `java.lang.Object` | `getParameterValue(java.lang.String name)` Returns the value of a parameter.
    `boolean` | `hasParameter(java.lang.String name)` Determines whether the element includes a parameter having a given name.
    `void` | `setParameterValue(java.lang.String name, java.lang.Object value)` Sets a parameter value.

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPrintElement

      `accept, getHeight, getKey, getOrigin, getPrintElementId, getSourceElementId, getWidth, getX, getY, setHeight, setStyle, setUUID, setWidth, setX, setY`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement

      `getBackcolor, getForecolor, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnModeValue, setBackcolor, setForecolor, setMode`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer

      `getDefaultStyleProvider, getStyle, getStyleNameReference`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder

      `getParentProperties, getPropertiesMap, hasProperties`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRIdentifiable

      `getUUID`

- - ### Method Detail

    - #### getGenericType

          JRGenericElementType getGenericType()

      Returns the type of this element.
      Returns:
        the element type

    - #### getParameterNames

          java.util.Set<java.lang.String> getParameterNames()

      Returns the set of parameter names for this element.
      Returns:
        the set of parameter names (as `String`s).

    - #### hasParameter

          boolean hasParameter(java.lang.String name)

      Determines whether the element includes a parameter having a given name.
      Parameters:
        `name` - the parameter name
      Returns:
        whether a parameter having the specified name exists in the element

    - #### getParameterValue

          java.lang.Object getParameterValue(java.lang.String name)

      Returns the value of a parameter.
      Parameters:
        `name` - the parameter name
      Returns:
        the parameter value, or `null` if a parameter by the specified name does not exist.

    - #### setParameterValue

          void setParameterValue(java.lang.String name,
                               java.lang.Object value)

      Sets a parameter value.
      Parameters:
        `name` - the parameter name
        `value` - the parameter value

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com